#  -*- coding: utf-8 -*-
"""
Author: Rafael R. L. Benevides
"""

from numpy import ndarray, double

from spacekernel.time import Time


class CelestialBody:

    def __init__(self, time: Time) -> None: ...

    @property
    def r_GCRF(self) -> ndarray[double]: ...

    @property
    def v_GCRF(self) -> ndarray[double]: ...

    @property
    def ur_GCRF(self) -> ndarray[double]: ...


class Sun(CelestialBody):

    GM_JPL2021: double = ...
    GM_IAU2015: double = ...
    GM_SEI1992: double = ...
    GM : double = ...

    Re_IAU2015: double = ...
    Re_SEI1992: double = ...
    Re: double = ...


class Moon(CelestialBody):

    GM_JPL2021: double = ...
    GM_SEI1992: double = ...
    GM : double = ...

    Re_SEI1992: double = ...
    Re: double = ...

